GameSalad

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Every GSviewer app has worked on my iPod except 8.7 - please help!

scitunesscitunes Posts: 4,047Member, Sous Chef
edited 9:01AM in Tech Support
I am signing it with an adhoc, which I have done in the past. I even made a new adhoc provisioning profile. It starts to build it (even says "successful" at the bottom) and then I get a window that opens that says:

"The executable was signed with invalid entitlements.

The entitlements specified in your application’s Code Signing Entitlements file do not match those specified in your provisioning profile."

I changed the info.plist like always. I just did this with my iPad and it worked fine. What I am I doing wrong?

Comments

  • quantumsheepquantumsheep Posts: 8,188Member
    Is your ipod firmware up to date?

    I had a similar problem where it wouldn't let me put the viewer onto my ipod. I changed the 'release' info to '3.1 Release' and it worked. I'd previously had it set to 3.2 for my iPhone, and I'd obviously not updated the iPod.

    Make sense? Give it a go! And good luck!

    QS :D

    Dr. Sam Beckett never returned home...
    Twitter: https://twitter.com/Quantum_Sheep
    Web: http://www.quantum-sheep.com

  • scitunesscitunes Posts: 4,047Member, Sous Chef
    Thanks, QS. But that didn't seem to be the problem. I think Bill Gates designed Xcode - I never understand any of the errors that pop up.
  • CodeMonkeyCodeMonkey Posts: 1,803Head Chef, Member, PRO
    Try deleting the provisioning profiles from your ipod and reinstall.
  • iDeveloperziDeveloperz Posts: 1,169Member
    Go on I know a bit of Xcode. What you need to do is change the.plist file to

    com.scitunes.myapp ... whatever instead of com.gendaigames.gamesalad

    Then check in the project settings that it is set with the correct developer bundle settings. And make sure the OS version is correct.

    :)
  • scitunesscitunes Posts: 4,047Member, Sous Chef
    yeah, did all that. still no dice
  • scitunesscitunes Posts: 4,047Member, Sous Chef
    just updated iPod to 4.0 and downloaded newest xcode - we'll see...
  • HunnenkoenigHunnenkoenig Posts: 1,173Member
    The same here.

    Now I can't even reinstall 0.8.6

    EDIT:
    I didn't need a distribution provision, but a development provision.
    Now it works
  • scitunesscitunes Posts: 4,047Member, Sous Chef
    getting 4.0 and the new xcode worked for me
  • HunnenkoenigHunnenkoenig Posts: 1,173Member
    Oh, ok.

    I edited my above post. I needed a development provision not a distribution provision.
This discussion has been closed.